Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
AR2 not connecting
#1
I am trying to program general moves for my AR2 using RoboDK when I try to connect to it I get this error. How do I fix this?



Starting robot driver: C:/RoboDK/api/robot/AR2Driver.py
Starting...
Not started
Sending command...
Installing required module: pyserial ...
Running command:
C:\Users\Julian Holcroft\AppData\Local\Programs\Python\Python38\python.exe -m pip install serial
...
Requirement already satisfied: serial in c:\users\julian holcroft\appdata\local\programs\python\python38\lib\site-packages (0.0.97)
Requirement already satisfied: future>=0.17.1 in c:\users\julian holcroft\appdata\local\programs\python\python38\lib\site-packages (from serial) (0.18.2)
Requirement already satisfied: iso8601>=0.1.12 in c:\users\julian holcroft\appdata\local\programs\python\python38\lib\site-packages (from serial) (1.0.2)
Requirement already satisfied: pyyaml>=3.13 in c:\users\julian holcroft\appdata\local\programs\python\python38\lib\site-packages (from serial) (5.4.1)
Unable to load or install pyserial. Make sure you have internet connection and administrator privileges
Unexpected error: Traceback (most recent call last):
Unexpected error: File "C:\RoboDK\Python\robodk\robolink.py", line 492, in import_install
Unexpected error: exec('import ' + module_name, globals())
Unexpected error: File "<string>", line 1, in <module>
Unexpected error: ModuleNotFoundError: No module named 'pyserial'
Unexpected error:
Unexpected error: During handling of the above exception, another exception occurred:
Unexpected error:
Unexpected error: Traceback (most recent call last):
Unexpected error: File "C:\RoboDK\Python\robodk\robolink.py", line 526, in import_install
Unexpected error: exec('import ' + module_name, globals())
Unexpected error: File "<string>", line 1, in <module>
Unexpected error: ModuleNotFoundError: No module named 'pyserial'
Unexpected error:
Unexpected error: During handling of the above exception, another exception occurred:
Unexpected error:
Unexpected error: Traceback (most recent call last):
Unexpected error: File "C:/RoboDK/api/robot/AR2Driver.py", line 26, in <module>
Unexpected error: exec("from v" + version_str + ".AR2Driver import *")
Unexpected error: File "<string>", line 1, in <module>
Unexpected error: File "C:\RoboDK\api\robot\AR2Driver.py", line 12, in <module>
Unexpected error: import os
Unexpected error: File "C:\RoboDK\api\robot\AR3Driver.py", line 26, in <module>
Unexpected error: exec("from v" + version_str + ".AR3Driver import *")
Unexpected error: File "<string>", line 1, in <module>
Unexpected error: File "C:\RoboDK\api\robot\AR3Driver.py", line 67, in <module>
Unexpected error: File "C:\RoboDK\Python\robodk\robolink.py", line 534, in import_install
Unexpected error: raise Exception(msg)
Unexpected error: Exception: Unable to load or install pyserial. Make sure you have internet connection and administrator privileges
Stopped

Here are the connection settings I am using
   
#2
Do you have internet connection when you try to connect to the robot?
If so, can you try connecting to your AR robot again after starting RoboDK with Administrator privileges?

It looks like the Pyserial module can't be installed for Python.
#3
i do have internet and I was also running in administrator I am on windows 10.
  




Users browsing this thread:
1 Guest(s)